# fixedsizearray.hpp File Reference

A fixed size array that doesn't create items until needed. More...

`#include "../core/alloc_func.hpp"`

Go to the source code of this file.

## Data Structures
struct | FixedSizeArray< T, C >
| fixed size array Upon construction it preallocates fixed size block of memory for all items, but doesn't construct them. More...
struct | FixedSizeArray< T, C >::ArrayHeader
| header for fixed size array More...

## Detailed Description

A fixed size array that doesn't create items until needed.

Definition in file fixedsizearray.hpp.